View Issue Details

IDProjectCategoryView StatusLast Update
0014749LazarusWidgetsetpublic2011-12-01 11:22
ReporterDoug kennedyAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0014749: Canvas.Pen.Width works in win32 but doesn't in WINCE
Description win2k win32 0.9.28 fpc 2.2.4
Canvas.Pen.Width:=4; correctly sets the pen width
when cross compiled to wince arm the pen width of 4 is ignored and set to 1.

This worked fine with 0.9.26.2
TagsNo tags attached.
Fixed in Revision22094
LazTarget0.9.30
WidgetsetWinCE
Attached Files

Activities

Vincent Snijders

2009-10-07 23:09

manager   ~0031189

On second thought, IIRC, Pauls pen changes were in 0.9.26.2 already, so maybe this regression was introduced elsewhere.

Paul Ishenin

2009-10-10 07:04

manager   ~0031243

Please test and close if ok.

Doug kennedy

2009-10-11 20:53

reporter   ~0031259

With snapshot 22095 and WINCE arm The pen width is now working correctly

Vincent Snijders

2009-10-11 21:01

manager   ~0031260

Thanks for testing. If it is ok, then you should close this issue.

Issue History

Date Modified Username Field Change
2009-10-07 23:04 Doug kennedy New Issue
2009-10-07 23:04 Doug kennedy Widgetset => WinCE
2009-10-07 23:08 Vincent Snijders LazTarget => 0.9.30
2009-10-07 23:08 Vincent Snijders Assigned To => Paul Ishenin
2009-10-07 23:08 Vincent Snijders Status new => assigned
2009-10-07 23:08 Vincent Snijders Target Version => 0.9.30
2009-10-07 23:09 Vincent Snijders Note Added: 0031189
2009-10-10 07:04 Paul Ishenin Fixed in Revision => 22094
2009-10-10 07:04 Paul Ishenin Status assigned => resolved
2009-10-10 07:04 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-10-10 07:04 Paul Ishenin Resolution open => fixed
2009-10-10 07:04 Paul Ishenin Note Added: 0031243
2009-10-11 20:53 Doug kennedy Note Added: 0031259
2009-10-11 21:01 Vincent Snijders Note Added: 0031260
2011-12-01 11:22 Marc Weustink Status resolved => closed